<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Report_gugatan_sederhana_penyelesaian_keberatan_panggilan_keluar extends CI_Model{
	
	function get_info_pn(){
		try {
			$this->db->select('*');
			$this->db->where('id >=', 61); 
			return $this->db->get('sys_config');
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}
	function getJenisPerkara($idalurperkara){
		if(empty($idalurperkara)) return '';
		try {
			$this->db->where('id',$idalurperkara);
			return $this->db->get('alur_perkara')->row()->nama;
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function get_rekap($idalurperkara,$year){
		try {
			return $this->db->query("SELECT 
				jenisPerkara.nama AS jenis_perkara_nama,
				(SELECT COUNT(*) FROM perkara_keberatan
					LEFT JOIN v_perkara ON v_perkara.perkara_id=perkara_keberatan.perkara_id
					WHERE YEAR(perkara_keberatan.tanggal_pendaftaran_keberatan)='".$year."' 
					AND v_perkara.jenis_perkara_id IN(GROUP_CONCAT(jenisPerkara.id))) AS jumlahTotal,
				(SELECT COUNT(*) FROM perkara_keberatan
					LEFT JOIN v_perkara ON v_perkara.perkara_id=perkara_keberatan.perkara_id
					WHERE YEAR(perkara_keberatan.tanggal_pendaftaran_keberatan)='".$year."' 
					AND DATEDIFF(perkara_keberatan.penetapan_majelis_hakim,perkara_keberatan.tanggal_pendaftaran_keberatan)='1' 
					AND v_perkara.jenis_perkara_id IN(GROUP_CONCAT(jenisPerkara.id))) AS value1,
				(SELECT COUNT(*) FROM perkara_keberatan
					LEFT JOIN v_perkara ON v_perkara.perkara_id=perkara_keberatan.perkara_id
					WHERE YEAR(perkara_keberatan.tanggal_pendaftaran_keberatan)='".$year."' 
					AND DATEDIFF(perkara_keberatan.penetapan_majelis_hakim,perkara_keberatan.tanggal_pendaftaran_keberatan)='2' 
					AND v_perkara.jenis_perkara_id IN(GROUP_CONCAT(jenisPerkara.id))) AS value2,
				(SELECT COUNT(*) FROM perkara_keberatan
					LEFT JOIN v_perkara ON v_perkara.perkara_id=perkara_keberatan.perkara_id
					WHERE YEAR(perkara_keberatan.tanggal_pendaftaran_keberatan)='".$year."' 
					AND DATEDIFF(perkara_keberatan.penetapan_majelis_hakim,perkara_keberatan.tanggal_pendaftaran_keberatan)='3' 
					AND v_perkara.jenis_perkara_id IN(GROUP_CONCAT(jenisPerkara.id))) AS value3,
				(SELECT COUNT(*) FROM perkara_keberatan
					LEFT JOIN v_perkara ON v_perkara.perkara_id=perkara_keberatan.perkara_id
					WHERE YEAR(perkara_keberatan.tanggal_pendaftaran_keberatan)='".$year."' 
					AND DATEDIFF(perkara_keberatan.penetapan_majelis_hakim,perkara_keberatan.tanggal_pendaftaran_keberatan)>='4' 
					AND v_perkara.jenis_perkara_id IN(GROUP_CONCAT(jenisPerkara.id))) AS value4
				FROM v_jenis_perkara AS jenisPerkara
				WHERE jenisPerkara.alur_perkara_id='".$idalurperkara."'
				GROUP BY jenisPerkara.nama
				ORDER BY jenisPerkara.nama asc");
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}
}